Name:           python-salt-viewer
Version:        0.1.14
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Salt Viewer is a tool for viewing images in an archive or a directory.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/GuiltyCat/SaltViewer
Source:         %{pypi_source salt_viewer}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'salt-viewer' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-salt-viewer
Summary:        %{summary}

%description -n python3-salt-viewer %_description


%prep
%autosetup -p1 -n salt_viewer-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-salt-viewer -f %{pyproject_files}


%changelog
%autochangelog